Module ij
Package ij.plugin

# Class GifWriter

java.lang.Object
ij.plugin.GifWriter

All Implemented Interfaces:
  `PlugIn`

public class GifWriter extends Object implements PlugIn
Saves the active image in GIF format, or as an animated GIF if the image is a stack.

## Constructor Summary

Constructors
Constructor
Description
`GifWriter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(String path)`
This method is called when the plugin is loaded.
`static String`
`save(ImagePlus imp, String path)`
Saves the specified image in GIF format or as an animated GIF if the image is a stack.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GifWriter

public GifWriter()

## Method Details

### save

public static String save(ImagePlus imp, String path)
Saves the specified image in GIF format or as an animated GIF if the image is a stack.

### run

public void run(String path)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`